0

I got some errors from mpi, mpich in UBUNTU 18.04, how can I remove all previous version MPI correctly.

||/ Name           Version      Architecture Description
+++-==============-============-============-================================= 
un  libblacs-mpi-d <none>       <none>       (no description available) 
ii  libboost-mpi-d 1.65.1.0ubun amd64        C++ interface to the Message Pass 
ii  libboost-mpi-p 1.65.1.0ubun amd64        C++ interface to the Message Pass 
un  libboost-mpi-p <none>       <none>       (no description available) 
un  libboost-mpi-p <none>       <none>       (no description available) 
ii  libboost-mpi-p 1.65.1+dfsg- amd64        C++ interface to the Message Pass 
ii  libboost-mpi-p 1.65.1+dfsg- amd64        C++ interface to the Message Pass 
un  libboost-mpi1. <none>       <none>       (no description available) 
ii  libboost-mpi1. 1.65.1+dfsg- amd64        C++ interface to the Message Pass 
ii  libboost-mpi1. 1.65.1+dfsg- amd64        C++ interface to the Message Pass 
ii  mpi-default-bi 1.10         amd64        Standard MPI runtime programs (me 
ii  mpi-default-de 1.10         amd64        Standard MPI development files (m 
ii  mpich          3.3~a2-4     amd64        Implementation of the MPI Message 
ii  python-mpi4py  2.0.0-3      amd64        bindings of the Message Passing I 
un  valgrind-mpi   <none>       <none>       (no description available)

Thanks a lot in advance!

  • What is MPI and how did you install it? – George Udosen Jan 9 at 10:06
  • @GeorgeUdosen , MPI:"The Open MPI Project is an open source Message Passing Interface implementation that is developed and maintained by a consortium of academic, research, and industry partners. Open MPI is therefore able to combine the expertise, technologies, and resources from all across the High Performance Computing community in order to build the best MPI library available. Open MPI offers advantages for system and software vendors, application developers and computer science researchers." -cite – ABCDEMMM Jan 9 at 10:08
  • So how was it installed? – George Udosen Jan 9 at 10:09
  • @GeorgeUdosen, via .sh file – ABCDEMMM Jan 9 at 10:17
  • Try sudo dpkg --purge libblacs-mpi-d! – George Udosen Jan 9 at 10:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.